commit 4df344c1a743a7d4ee633ce07706f3fb51f28074
Author: Sean Nelson <audiohacked@gmail.com>
Date:   Tue Dec 22 11:03:33 2009 -0800

    Modify Makfile to separate the main object list into Programmer, Chip, CLI lists.
    Signed-off-by: Sean Nelson <audiohacked@gmail.com>

diff --git a/Makefile b/Makefile
index 77731ed..4f4d870 100644
--- a/Makefile
+++ b/Makefile
@@ -43,11 +43,18 @@ endif
 
 LIBS += -lpci
 
-OBJS = jedec.o stm50flw0x0x.o w39v080fa.o sharplhf00l04.o w29ee011.o \
+CHIP_OBJS = jedec.o stm50flw0x0x.o w39v080fa.o sharplhf00l04.o w29ee011.o \
 	sst28sf040.o am29f040b.o mx29f002.o m29f400bt.o pm29f002.o w39v040c.o \
 	w49f002u.o 82802ab.o pm49fl00x.o sst49lf040.o en29f002a.o m29f002.o \
-	sst49lfxxxc.o sst_fwhub.o flashchips.o layout.o spi.o \
-	flashrom.o print.o physmap.o internal.o udelay.o
+	sst49lfxxxc.o sst_fwhub.o spi.o
+
+CLI_OBJS = flashrom.o print.o 
+
+LIB_OBJS = flashchips.o layout.o physmap.o udelay.o
+
+PROGRAMMER_OBJS = internal.o
+
+OBJS = $(CHIP_OBJS) $(CLI_OBJS) $(PROGRAMMER_OBJS) $(LIB_OBJS)
 
 all: pciutils features dep $(PROGRAM)
 
